angular.module('bootcampApp')
  .controller('NoteCtrl', function(Notes, $scope){
    $scope.notes = Notes.getData();
    var fallbackNote = {
      "title": "Fallback title",
      "body": "Fallback body"
    };

    function defaultNote(){
      console.log("Looking up stuff");
      var promise = Notes.defaultNote();

      promise.then(function(note){
        $scope.newNote = Notes.cloneNote(note);
      });

      promise.catch(function(message){
        console.log("Received an error");
        $scope.newNote = fallbackNote;
      });
    }

    defaultNote();

    $scope.createNote = function(newNote){
      newNote.createdDate = new Date();
      $scope.notes.push(Notes.cloneNote(newNote));
      defaultNote();
      Notes.saveData($scope.notes);
    };

    $scope.deleteNote = function(note){
      $scope.notes.splice($scope.notes.indexOf(note), 1);
      Notes.saveData($scope.notes);
    };

    $scope.deleteAllNotes = function(){
      $scope.notes = [];
      Notes.saveData($scope.notes);
    };
  });
